List of payments
curl --request GET \
--url https://app.getswipe.in/api/partner/v2/payment/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.getswipe.in/api/partner/v2/payment/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.getswipe.in/api/partner/v2/payment/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Subscription List fetched successfully",
"error_code": "",
"errors": {},
"data": {
"transactions": [
{
"total_amount": 1000,
"amount_remaining": "900",
"bank_details": {
"account_number": "1234567890",
"ifsc": "SBIN0000001",
"bank_name": "State Bank of India",
"branch": "Mumbai"
},
"customer": {
"id": "CUST123",
"name": "John Doe",
"country_code": "91",
"phone_number": "1234567890",
"email": "johndoe@example.com"
},
"payment_date": "11-06-2024",
"exclusive_notes": "<string>",
"linked_docs": [
{
"amount_settled": 100,
"serial_number": "INV-12",
"document_type": "invoice"
}
],
"notes": "<string>",
"payment_mode": "Cash",
"payment_type": "in",
"status": "success",
"created_by": "Manoj"
}
],
"total_records": 10
}
}{
"success": false,
"error_code": "",
"message": "",
"errors": {},
"data": {}
}{
"success": false,
"error_code": "",
"message": "",
"errors": {},
"data": {}
}{
"success": false,
"error_code": "",
"message": "",
"errors": {},
"data": {}
}Payment V2
List of payments
GET
/
v2
/
payment
/
list
List of payments
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Query Parameters
Start date for the list, [DD-MM-YYY]
End date for the list, [DD-MM-YYY]
Filter list based on active status of the payment
Number of records to fetch
Page number
⌘I

